BeagleWksTextInternal::Font Struct Reference

Internal: a class used to store the font data of a BeagleWksText. More...

## Public Member Functions

| Font ()
| constructor
MWAWFont | getFont () const
| returns a MWAWFont.

## Public Attributes

int | m_id
| the font id
int | m_size
| the font size
int | m_flags
| the font flags
int | m_color
| the font color
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &fnt)
| operator<<

## Detailed Description

Internal: a class used to store the font data of a BeagleWksText.

## Constructor & Destructor Documentation

## Font()

BeagleWksTextInternal::Font::Font | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getFont()

MWAWFont BeagleWksTextInternal::Font::getFont | ( |  | ) | const

inline

returns a MWAWFont.

Note
  the font id remains filled with the local id

Referenced by BeagleWksText::getFont().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | fnt )

friend

operator<<

## Member Data Documentation

## m_color

int BeagleWksTextInternal::Font::m_color

the font color

Referenced by Font(), getFont(), operator<<, and BeagleWksText::readFont().

## m_extra

std::string BeagleWksTextInternal::Font::m_extra

extra data

Referenced by Font(), operator<<, and BeagleWksText::readFont().

## m_flags

int BeagleWksTextInternal::Font::m_flags

the font flags

Referenced by Font(), getFont(), operator<<, and BeagleWksText::readFont().

## m_id

int BeagleWksTextInternal::Font::m_id

the font id

Referenced by Font(), getFont(), operator<<, and BeagleWksText::readFont().

## m_size

int BeagleWksTextInternal::Font::m_size

the font size

Referenced by Font(), getFont(), operator<<, and BeagleWksText::readFont().

The documentation for this struct was generated from the following file:

- BeagleWksText.cxx